<table *ngIf="catalogue && catalogue.length> 0; else alerte"> <!-- TODO n'affiche rien à la navigation, il faut recharger la page -->
<!--  <p *ngFor="let boisson of catalogue">{{boisson.toString()}}</p>-->
  <tr>
    <th>Catégorie</th>
    <th>Nom</th>
    <th>Tarif</th>
    <th>Stock</th>
    <th>Style</th>
    <th>Alcool</th>
    <th>Type</th>
    <th>Gaz</th>
    <th>Pichet</th>
  </tr>
  <tr *ngFor="let boisson of catalogue">
    <td>{{boisson.categorie}}</td>
    <td>{{boisson.nomBoisson}}</td>
    <td>{{boisson.tarif}}</td>
    <td>{{boisson.stock}}</td>
    <td>{{boisson.categorie.toLowerCase() == "beer" ? $any(boisson).style : "-" }}</td> <!-- TODO voir s'il n'y a pas mieux pour le cast -->
    <td>{{boisson.categorie.toLowerCase() == "beer" ? $any(boisson).alcool : "-" }}</td>
    <td>{{boisson.categorie.toLowerCase() == "soft" ? $any(boisson).type : "-" }}</td>
    <td>{{boisson.categorie.toLowerCase() == "soft" ? ($any(boisson).gaz === true ? "gazeux" : "plat") : "-" }}</td>
    <td>{{boisson.pichet === true ? "oui" : "non"}}</td>
  </tr>
</table>
<ng-template #alerte>
  <p>Le catalogue est vide</p>
</ng-template>
